## libvistaio 1.2.14

=== CMakeLists.txt ===
#
#  Copyright 1993, 1994 University of British Columbia
#  Copyright (c) Leipzig, Madrid 2004 - 2012
#  Max-Planck-Institute for Human Cognitive and Brain Science	
#  Max-Planck-Institute for Evolutionary Anthropology 
#  BIT, ETSI Telecomunicacion, UPM
#
#  Permission to use, copy, modify, distribute, and sell this software and its
#  documentation for any purpose is hereby granted without fee, provided that
#  the above copyright notice appears in all copies and that both that
#  copyright notice and this permission notice appear in supporting
#  documentation. UBC makes no representations about the suitability of this
#  software for any purpose. It is provided "as is" without express or
#  implied warranty.
#
#  Maintainance and Fixes: Gert Wollny gw.fossdev@gmail.com , UPM, Madrid  
#

cmake_minimum_required(VERSION 2.6)
ENABLE_TESTING()

INCLUDE (CheckIncludeFiles) 

SET(VENDOR "Gert Wollny")
SET(PACKAGE_NAME "vistaio")
SET(MAJOR_VERSION 1)
SET(MINOR_VERSION 2)
SET(MICRO_VERSION 14)
SET(INTERFACE_AGE 0)
SET(BINARY_AGE    0)

INCLUDE(GNUInstallDirs)

MATH(EXPR VISTAIO_CURRENT "${MICRO_VERSION} - ${INTERFACE_AGE}")
MATH(EXPR VISTAIO_AGE     "${BINARY_AGE} - ${INTERFACE_AGE}")

SET(LIBRARY_VERSION_INFO "${VISTAIO_CURRENT}.${INTERFACE_AGE}.${VISTAIO_AGE}")

SET(PACKAGE_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}")
SET(VERSION "${MAJOR_VERSION}.${MINOR_VERSION}")
SET(VISTAIO_NAME "${PACKAGE_NAME}-${VERSION}")
SET(VISTAIO_PACKAGE "${PACKAGE_NAME}-${PACKAGE_VERSION}")

INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}")
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}")

ADD_DEFINITIONS(-D_SVID_SOURCE=2)

ADD_SUBDIRECTORY(vistaio)
ADD_SUBDIRECTORY(doc)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libvistaio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libvistaio.pc)

SET(DOC_FILES Authors COPYING)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libvistaio.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
INSTALL(FILES ${DOC_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${VISTAIO_NAME})
INSTALL(FILES vistaio.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${VISTAIO_NAME})

ADD_CUSTOM_TARGET(dist bash ${CMAKE_SOURCE_DIR}/create_package "${PACKAGE_NAME}" "${PACKAGE_VERSION}" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}")

=== debian/changelog ===
libvistaio (1.2.14-1) unstable; urgency=low

  * Initial packaging (Closes:  #694434)

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 27 Nov 2012 17:28:58 +0100

=== debian/control ===
Source: libvistaio
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gw.fossdev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake (>=2.8.8)
Standards-Version: 3.9.3
Section: science
Homepage: http://mia.sourceforge.net
Vcs-Git:git://git.debian.org/debian-med/libvistaio.git
Vcs-Browser:http://git.debian.org/?p=debian-med/libvistaio.git

Package: libvistaio-dev
Section: libdevel
Architecture: any
Depends: libvistaio14 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the libvistaio library 
 Vistaio is a library that handles loading and storing of data in a 
 cross-platform manner. Its virtue is that the otherwise binary 
 files provide an ascii header that makes it easy to get information 
 about the contens of a file. It supports a variety of data types 
 like images, vector fields and graphs. This is the development package 
 containing the header files, and pkg-config script, and man pages.  
  
Package: libvistaio14
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for loading and storing various types of binary data 
 Vistaio is a library that handles loading and storing of data in a 
 cross-platform manner. Its virtue is that the otherwise binary 
 files provide an ascii header that makes it easy to get information 
 about the contens of a file. It supports a variety of data types 
 like images, vector fields and graphs.

## libvistaio 1.2.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 #  Copyright 1993, 1994 University of British Columbia
-#  Copyright (c) Leipzig, Madrid 2004 - 2012
+#  Copyright (c) Leipzig, Madrid 2004 - 2014
 #  Max-Planck-Institute for Human Cognitive and Brain Science	
 #  Max-Planck-Institute for Evolutionary Anthropology 
 #  BIT, ETSI Telecomunicacion, UPM
@@ -25,9 +25,9 @@
 SET(PACKAGE_NAME "vistaio")
 SET(MAJOR_VERSION 1)
 SET(MINOR_VERSION 2)
-SET(MICRO_VERSION 14)
-SET(INTERFACE_AGE 0)
-SET(BINARY_AGE    0)
+SET(MICRO_VERSION 16)
+SET(INTERFACE_AGE 2)
+SET(BINARY_AGE    2)
 
 INCLUDE(GNUInstallDirs)

=== vistaio/CMakeLists.txt ===
#
#  Copyright 1993, 1994 University of British Columbia
#  Copyright (c) Leipzig, Madrid 2004 - 2012
#  Max-Planck-Institute for Human Cognitive and Brain Science	
#  Max-Planck-Institute for Evolutionary Anthropology 
#  BIT, ETSI Telecomunicacion, UPM
#
#  Permission to use, copy, modify, distribute, and sell this software and its
#  documentation for any purpose is hereby granted without fee, provided that
#  the above copyright notice appears in all copies and that both that
#  copyright notice and this permission notice appear in supporting
#  documentation. UBC makes no representations about the suitability of this
#  software for any purpose. It is provided "as is" without express or
#  implied warranty.
#
#  Maintainance and Fixes: Gert Wollny gw.fossdev@gmail.com , UPM, Madrid  
#

set(VISTAIO_SRC 
  alloc.c
  attr.c
  dictionary.c
  edges.c
  edgesType.c
  error.c
  fileio.c
  graphType.c
  image.c
  imageType.c
  list.c
  option.c
  packData.c
  type.c
  vcplist.c
  version.c
  vspline2d.c
  vfield2d.c
  vfield3d.c
  volumes.c
  volumesType.c
)

set(VISTAIO_HEADERS  
  vcplist.h
  vfield2d.h
  vspline2d.h
  vfield3d.h
  vista.h
  vistaio.h
)

add_library(vistaio SHARED ${VISTAIO_SRC})
SET_TARGET_PROPERTIES(vistaio PROPERTIES 
  VERSION ${LIBRARY_VERSION_INFO}
  SOVERSION ${VISTAIO_CURRENT}
)


MACRO(ADD_SIMPLE_TEST name)
  add_executable(test-${name} ${name}.c)
  target_link_libraries(test-${name} vistaio)
  add_test(${name} test-${name})
ENDMACRO(ADD_SIMPLE_TEST)

ADD_SIMPLE_TEST(3dfield)
ADD_SIMPLE_TEST(2dfield)
ADD_SIMPLE_TEST(2dspline)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/vconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/vconfig.h)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/vconfig.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${VISTAIO_NAME}/vistaio)
INSTALL(FILES ${VISTAIO_HEADERS} DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${VISTAIO_NAME}/vistaio)
INSTALL(TARGETS vistaio 
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libvistaio (1.2.16-1) unstable; urgency=low

  * new upstream release 
  * corrected debian/copyright entries (Closes: #726778)

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 22 Oct 2013 11:30:11 +0200

libvistaio (1.2.15-1) unstable; urgency=low

  * New upstream release that fixes spelling issues 
  * Add symbols file 
  * Correct VCS entries
  * Add debug package 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 18 Oct 2013 12:49:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Gert Wollny <gw.fossdev@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), cmake (>=2.8.8)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: science
 Homepage: http://mia.sourceforge.net
-Vcs-Git:git://git.debian.org/debian-med/libvistaio.git
-Vcs-Browser:http://git.debian.org/?p=debian-med/libvistaio.git
+Vcs-Git: git://anonscm.debian.org/debian-med/libvistaio.git
+Vcs-Browser: http://anonscm.debian.org/?p=debian-med/libvistaio.git
 
 Package: libvistaio-dev
 Section: libdevel
 Architecture: any
-Depends: libvistaio14 (= ${binary:Version}), ${misc:Depends}
+Depends: libvistaio14 (= ${binary:Version}), 
+    ${misc:Depends}
 Description: Development files for the libvistaio library 
  Vistaio is a library that handles loading and storing of data in a 
  cross-platform manner. Its virtue is that the otherwise binary 
@@ -24,7 +25,8 @@
 Package: libvistaio14
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, 
+    ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for loading and storing various types of binary data 
  Vistaio is a library that handles loading and storing of data in a 
@@ -33,3 +35,16 @@
  about the contens of a file. It supports a variety of data types 
  like images, vector fields and graphs.
 
+Package: libvistaio14-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: libvistaio14 (= ${binary:Version}), 
+    ${misc:Depends}
+Description: Debug information for the libvistaio library 
+ Vistaio is a library that handles loading and storing of data in a 
+ cross-platform manner. Its virtue is that the otherwise binary 
+ files provide an ascii header that makes it easy to get information 
+ about the contens of a file. It supports a variety of data types 
+ like images, vector fields and graphs. This is package containing the 
+ debug information.

=== debian/watch ===
version=3
http://sf.net/mia/vistaio-(.+)\.tar\.xz

## libvistaio 1.2.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,16 +25,15 @@
 SET(PACKAGE_NAME "vistaio")
 SET(MAJOR_VERSION 1)
 SET(MINOR_VERSION 2)
-SET(MICRO_VERSION 16)
-SET(INTERFACE_AGE 2)
-SET(BINARY_AGE    2)
+SET(MICRO_VERSION 19)
 
 INCLUDE(GNUInstallDirs)
 
-MATH(EXPR VISTAIO_CURRENT "${MICRO_VERSION} - ${INTERFACE_AGE}")
-MATH(EXPR VISTAIO_AGE     "${BINARY_AGE} - ${INTERFACE_AGE}")
-
-SET(LIBRARY_VERSION_INFO "${VISTAIO_CURRENT}.${INTERFACE_AGE}.${VISTAIO_AGE}")
+SET(VISTAIO_CURRENT 14)
+SET(VISTAIO_AGE 1)
+SET(VISTAIO_REVISION 4)
+  
+SET(LIBRARY_VERSION_INFO "${VISTAIO_CURRENT}.${VISTAIO_AGE}.${VISTAIO_REVISION}")
 
 SET(PACKAGE_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}")
 SET(VERSION "${MAJOR_VERSION}.${MINOR_VERSION}")
@@ -44,14 +43,14 @@
 INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}")
 INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}")
 
-ADD_DEFINITIONS(-D_SVID_SOURCE=2)
+ADD_DEFINITIONS(-D_DEFAULT_SOURCE=2)
 
 ADD_SUBDIRECTORY(vistaio)
 ADD_SUBDIRECTORY(doc)
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libvistaio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libvistaio.pc)
 
-SET(DOC_FILES Authors COPYING)
+SET(DOC_FILES Authors COPYING README.md)
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libvistaio.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
 INSTALL(FILES ${DOC_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${VISTAIO_NAME})

=== doc/CMakeLists.txt ===

#
#  Copyright 1993, 1994 University of British Columbia
#  Copyright (c) Leipzig, Madrid 2004 - 2012
#  Max-Planck-Institute for Human Cognitive and Brain Science	
#  Max-Planck-Institute for Evolutionary Anthropology 
#  BIT, ETSI Telecomunicacion, UPM
#
#  Permission to use, copy, modify, distribute, and sell this software and its
#  documentation for any purpose is hereby granted without fee, provided that
#  the above copyright notice appears in all copies and that both that
#  copyright notice and this permission notice appear in supporting
#  documentation. UBC makes no representations about the suitability of this
#  software for any purpose. It is provided "as is" without express or
#  implied warranty.
#
#  Maintainance and Fixes: Gert Wollny gw.fossdev@gmail.com , UPM, Madrid  
#

SET(man3pages 
  VistaIOBandInterp.3
  VistaIOBundle.3
  VistaIOCombineBands.3
  VistaIOConst.3
  VistaIOCopy.3
  VistaIOCopyBand.3
  VistaIOCopyImage.3
  VistaIOCreateImage.3
  VistaIODecodeAttrValue.3
  VistaIOEdges.3
  VistaIOEncodeAttrValue.3
  VistaIOError.3
  VistaIOExtractAttr.3
  VistaIOGetAttr.3
  VistaIOGetPixel.3
  VistaIOIdentifyFiles.3
  VistaIOImage.3
  VistaIOInsertAttr.3
  VistaIOList.3
  VistaIOMalloc.3
  VistaIOMax.3
  VistaIONew.3
  VistaIONewString.3
  VistaIONumber.3
  VistaIOOffset.3
  VistaIOOpenFile.3
  VistaIOPackData.3
  VistaIOParseCommand.3
  VistaIOParseFilterCmd.3
  VistaIOPrintOptions.3
  VistaIOPrintParameters.3
  VistaIOReadEdges.3
  VistaIOReadFile.3
  VistaIOReadImages.3
  VistaIOReadObjects.3
  VistaIORepn.3
  VistaIOReportBadArgs.3
  VistaIOReportUsage.3
  VistaIOSameImage.3
  VistaIOSelectBand.3
  VistaIOSelectDestImage.3
  VistaIOSetAttr.3
  VistaIOSetBandInterp.3
  VistaIOSetErrorHandler.3
  VistaIOSetProgramName.3
  VistaIOSetWarningHandler.3
  VistaIOWarning.3
  VistaIOWriteEdges.3
  VistaIOWriteFile.3
  VistaIOWriteImages.3
  VistaIOWriteObjects.3
  VistaIOZeroCrossings.3
  VistaIOattribute.3
  VistaIOdictionary.3
  VistaIOoption.3
  VistaIOtype.3
)

INSTALL(FILES ${man3pages} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man3)

=== vistaio/CMakeLists.txt ===
--- 
+++ 
@@ -57,14 +57,17 @@
 
 
 MACRO(ADD_SIMPLE_TEST name)
-  add_executable(test-${name} ${name}.c)
+  add_executable(test-${name} test_${name}.c)
   target_link_libraries(test-${name} vistaio)
   add_test(${name} test-${name})
 ENDMACRO(ADD_SIMPLE_TEST)
 
+ADD_SIMPLE_TEST(attributes)
+ADD_SIMPLE_TEST(images)
 ADD_SIMPLE_TEST(3dfield)
 ADD_SIMPLE_TEST(2dfield)
 ADD_SIMPLE_TEST(2dspline)
+
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/vconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/vconfig.h)

=== debian/changelog ===
libvistaio (1.2.19-4) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix ftbfs with gcc-15. (Closes: #1097286)
  * cmake-4.patch: new: fix ftbfs with cmake 4. (Closes: #1113218)
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: upgrade to version 5.
  * d/rules: fix national encoding of vista.h.

 -- Étienne Mollier <emollier@debian.org>  Fri, 12 Sep 2025 17:16:20 +0200

libvistaio (1.2.19-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Re-export upstream signing key without extra signatures.
  * Install docs from debian/tmp to silence dh_missing
  * Remove debian/gbp.conf

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2020 08:44:42 +0100

libvistaio (1.2.19-2) unstable; urgency=medium

  * Team upload.
  * cme fix dpkg-control
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debian/gbp.conf: convert to new style
  * Remove -dbg package
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 08:35:06 +0200

libvistaio (1.2.19-1) unstable; urgency=medium

  * New upstream version
  * d/docs: Replace README by README.md

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 24 Nov 2015 16:19:18 +0100

libvistaio (1.2.18-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Add source signature check
  * d/upstream: and corresponding pubkey for key check
  * d/libvistaio14.symbols: Add new symbol
  * d/control: update standards version
  * d/copyright: add a package specific short name to quell lintian
    warning

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 04 Nov 2015 14:33:10 +0100

libvistaio (1.2.16-2) unstable; urgency=medium

  * Add multiarch tag in d/control
  * Correct VCS browser entry
  * Update standards entry

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 01 Aug 2014 13:25:11 +0200

=== debian/control ===
Source: libvistaio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gw.fossdev@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/libvistaio
Vcs-Git: https://salsa.debian.org/med-team/libvistaio.git
Homepage: http://mia.sourceforge.net
Rules-Requires-Root: no

Package: libvistaio-dev
Architecture: any
Section: libdevel
Depends: libvistaio14 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the libvistaio library
 Vistaio is a library that handles loading and storing of data in a
 cross-platform manner. Its virtue is that the otherwise binary
 files provide an ascii header that makes it easy to get information
 about the contens of a file. It supports a variety of data types
 like images, vector fields and graphs. This is the development package
 containing the header files, and pkg-config script, and man pages.

Package: libvistaio14
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for loading and storing various types of binary data
 Vistaio is a library that handles loading and storing of data in a
 cross-platform manner. Its virtue is that the otherwise binary
 files provide an ascii header that makes it easy to get information
 about the contens of a file. It supports a variety of data types
 like images, vector fields and graphs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_install:
	cd $(CURDIR)/debian/libvistaio-dev/usr/include/vistaio-1.2/vistaio \
	&& iconv -f ISO-8859-1 -t UTF-8 < vista.h > vista.h.converted \
	&& mv vista.h.converted vista.h

execute_after_dh_installdocs:
	find debian -name COPYING -delete

=== debian/watch ===
Version: 5

Source: http://sf.net/mia/
Matching-Pattern: vistaio-(.+)\.tar\.xz
Pgpsigurlmangle: s/$/.asc/
